<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: AIWorld Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/dc4/class_a_i_world.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">AIWorld Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for AIWorld:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../de/dc4/class_a_i_world.png" usemap="#AIWorld_map" alt=""/>
  <map id="AIWorld_map" name="AIWorld_map">
<area href="../../d5/d78/group___enforce.html#dd/d17/class_managed" title="TODO doc." alt="Managed" shape="rect" coords="0,0,65,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a5da08915069cd4212a9805cb2d0a9f97"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dc4/class_a_i_world.html#a5da08915069cd4212a9805cb2d0a9f97">AIWorld</a> ()</td></tr>
<tr class="separator:a5da08915069cd4212a9805cb2d0a9f97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1978c20041e26f73c69047c4dae22b7d"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dc4/class_a_i_world.html#a1978c20041e26f73c69047c4dae22b7d">~AIWorld</a> ()</td></tr>
<tr class="separator:a1978c20041e26f73c69047c4dae22b7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a087bbe06881b1f5d328d9a95ea57696f"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d3/d85/class_a_i_group.html">AIGroup</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dc4/class_a_i_world.html#a087bbe06881b1f5d328d9a95ea57696f">CreateGroup</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> templateName)</td></tr>
<tr class="separator:a087bbe06881b1f5d328d9a95ea57696f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4a181346440c7ebc00825ef34412d1c"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d3/d85/class_a_i_group.html">AIGroup</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dc4/class_a_i_world.html#af4a181346440c7ebc00825ef34412d1c">CreateDefaultGroup</a> ()</td></tr>
<tr class="separator:af4a181346440c7ebc00825ef34412d1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb3671c8e38784a339a4924f173571db"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dc4/class_a_i_world.html#adb3671c8e38784a339a4924f173571db">DeleteGroup</a> (notnull <a class="el" href="../../d3/d85/class_a_i_group.html">AIGroup</a> group)</td></tr>
<tr class="separator:adb3671c8e38784a339a4924f173571db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0bda41e275bd82e30aba3bbc3960a55"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dc4/class_a_i_world.html#af0bda41e275bd82e30aba3bbc3960a55">FindPath</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> from, <a class="el" href="../../d7/dfc/classvector.html">vector</a> to, PGFilter pgFilter, out <a class="el" href="../../d5/d78/group___enforce.html#ga5590195b00c58d7c02875a94e9502191">TVectorArray</a> waypoints)</td></tr>
<tr class="separator:af0bda41e275bd82e30aba3bbc3960a55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12dfb5dcd64c180b03c31a89abcf898b"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dc4/class_a_i_world.html#a12dfb5dcd64c180b03c31a89abcf898b">RaycastNavMesh</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> from, <a class="el" href="../../d7/dfc/classvector.html">vector</a> to, PGFilter pgFilter, out <a class="el" href="../../d7/dfc/classvector.html">vector</a> hitPos, out <a class="el" href="../../d7/dfc/classvector.html">vector</a> hitNormal)</td></tr>
<tr class="separator:a12dfb5dcd64c180b03c31a89abcf898b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab458ed53e8853660a13948cd7a127427"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dc4/class_a_i_world.html#ab458ed53e8853660a13948cd7a127427">SampleNavmeshPosition</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> position, <a class="el" href="../../d4/dc3/classfloat.html">float</a> maxDistance, PGFilter pgFilter, out <a class="el" href="../../d7/dfc/classvector.html">vector</a> sampledPosition)</td></tr>
<tr class="separator:ab458ed53e8853660a13948cd7a127427"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d9/d4a/_a_i_world_8c_source.html#l00070">70</a> of file <a class="el" href="../../d9/d4a/_a_i_world_8c_source.html">AIWorld.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a5da08915069cd4212a9805cb2d0a9f97" name="a5da08915069cd4212a9805cb2d0a9f97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5da08915069cd4212a9805cb2d0a9f97">&#9670;&#160;</a></span>AIWorld()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void AIWorld::AIWorld </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1978c20041e26f73c69047c4dae22b7d" name="a1978c20041e26f73c69047c4dae22b7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1978c20041e26f73c69047c4dae22b7d">&#9670;&#160;</a></span>~AIWorld()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void AIWorld::~AIWorld </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="af4a181346440c7ebc00825ef34412d1c" name="af4a181346440c7ebc00825ef34412d1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4a181346440c7ebc00825ef34412d1c">&#9670;&#160;</a></span>CreateDefaultGroup()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d3/d85/class_a_i_group.html">AIGroup</a> AIWorld::CreateDefaultGroup </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Creates group with no group behaviour </p>

</div>
</div>
<a id="a087bbe06881b1f5d328d9a95ea57696f" name="a087bbe06881b1f5d328d9a95ea57696f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a087bbe06881b1f5d328d9a95ea57696f">&#9670;&#160;</a></span>CreateGroup()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d3/d85/class_a_i_group.html">AIGroup</a> AIWorld::CreateGroup </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>templateName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Creates group with group behaviour specified by templateName param. AIGroups lifetime is managed by <a class="el" href="../../de/dc4/class_a_i_world.html">AIWorld</a>, e.g. empty groups are deleted automatically. </p>

</div>
</div>
<a id="adb3671c8e38784a339a4924f173571db" name="adb3671c8e38784a339a4924f173571db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb3671c8e38784a339a4924f173571db">&#9670;&#160;</a></span>DeleteGroup()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void AIWorld::DeleteGroup </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../d3/d85/class_a_i_group.html">AIGroup</a>&#160;</td>
          <td class="paramname"><em>group</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Destroys group and all AIAgents attached </p>

</div>
</div>
<a id="af0bda41e275bd82e30aba3bbc3960a55" name="af0bda41e275bd82e30aba3bbc3960a55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0bda41e275bd82e30aba3bbc3960a55">&#9670;&#160;</a></span>FindPath()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> AIWorld::FindPath </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>from</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>to</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PGFilter&#160;</td>
          <td class="paramname"><em>pgFilter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/d78/group___enforce.html#ga5590195b00c58d7c02875a94e9502191">TVectorArray</a>&#160;</td>
          <td class="paramname"><em>waypoints</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Finds path on navmesh using path graph filter.</p>
<p >/param [in] from starting position /param [in] to ending position /param [in] pgFilter filter used for searching /param [out] waypoints waypoints array including starting and ending position /returns true - if path has been found </p>

</div>
</div>
<a id="a12dfb5dcd64c180b03c31a89abcf898b" name="a12dfb5dcd64c180b03c31a89abcf898b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12dfb5dcd64c180b03c31a89abcf898b">&#9670;&#160;</a></span>RaycastNavMesh()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> AIWorld::RaycastNavMesh </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>from</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>to</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PGFilter&#160;</td>
          <td class="paramname"><em>pgFilter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>hitPos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>hitNormal</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Raytest in navmesh</p>
<p >/param [in] from starting position /param [in] to ending position /param [in] pgFilter filter used for searching /param [out] hitPos hit position /param [out] hitNormal hit normal /returns true - if ray hits navmesh edge </p>

</div>
</div>
<a id="ab458ed53e8853660a13948cd7a127427" name="ab458ed53e8853660a13948cd7a127427"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab458ed53e8853660a13948cd7a127427">&#9670;&#160;</a></span>SampleNavmeshPosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> AIWorld::SampleNavmeshPosition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>maxDistance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PGFilter&#160;</td>
          <td class="paramname"><em>pgFilter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>sampledPosition</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Finds closest point on navmesh within maxDistance radius using path graph filter.</p>
<p >/param [in] position position wanted /param [in] maxDistance search radius /param [in] pgFilter filter used for searching /param [out] sampledPosition closest position on navmesh to position /returns true - function succeedes and found position is written to output paramter "sampledPosition" /returns false - function failed to find position on navmesh within given radius, output paramter is left intact </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/AI/<a class="el" href="../../d9/d4a/_a_i_world_8c_source.html">AIWorld.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../de/dc4/class_a_i_world.html">AIWorld</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
